Permalink
Browse files

Adding specification to the jewweler builder, and also generating the…

… gemspec file
  • Loading branch information...
1 parent a41067b commit 24f0ef0d80105f2335de1df49179115b78c0123b @roman committed Mar 12, 2009
Showing with 37 additions and 2 deletions.
  1. +4 −1 Rakefile
  2. +1 −1 VERSION.yml
  3. +32 −0 pivotal-tracker-api.gemspec
View
@@ -5,10 +5,13 @@ begin
require 'jeweler'
Jeweler::Tasks.new do |gem|
gem.name = "pivotal-tracker-api"
- gem.summary = %Q{TODO}
+ gem.summary = %Q{Ruby Library for interacting with PivotalTracker API}
gem.email = "romanandreg@gmail.com"
gem.homepage = "http://github.com/roman/pivotal-tracker-api"
gem.authors = ["Roman Gonzalez"]
+ gem.files = ['lib/pivotal_tracker.rb', 'lib/pivotal_tracker_api.rb']
+ gem.require_path = "lib"
+ gem.add_development_dependency 'activeresource', '~> 2.2.2'
# gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
end
rescue LoadError
View
@@ -1,4 +1,4 @@
---
:major: 0
:minor: 0
-:patch: 0
+:patch: 1
@@ -0,0 +1,32 @@
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{pivotal-tracker-api}
+ s.version = "0.0.1"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Roman Gonzalez"]
+ s.date = %q{2009-03-12}
+ s.email = %q{romanandreg@gmail.com}
+ s.extra_rdoc_files = ["README.rdoc", "LICENSE"]
+ s.files = ["lib/pivotal_tracker.rb", "lib/pivotal_tracker_api.rb", "README.rdoc", "LICENSE"]
+ s.has_rdoc = true
+ s.homepage = %q{http://github.com/roman/pivotal-tracker-api}
+ s.rdoc_options = ["--inline-source", "--charset=UTF-8"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.1}
+ s.summary = %q{Ruby Library for interacting with PivotalTracker API}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_development_dependency(%q<activeresource>, ["~> 2.2.2"])
+ else
+ s.add_dependency(%q<activeresource>, ["~> 2.2.2"])
+ end
+ else
+ s.add_dependency(%q<activeresource>, ["~> 2.2.2"])
+ end
+end

0 comments on commit 24f0ef0

Please sign in to comment.